Description: Deprecate pkg_resources
Forwarded: https://github.com/python-lsp/python-lsp-black/issues/62
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1083660
Author: Julian Gilbey <jdg@debian.org>
Last-Update: 2024-11-20

--- a/tests/test_plugin.py
+++ b/tests/test_plugin.py
@@ -2,10 +2,10 @@
 import types
 from pathlib import Path
 from unittest.mock import Mock
+from importlib.metadata import entry_points
 
 # Third-party imports
 import black
-import pkg_resources
 import pytest
 
 # Python LSP imports
@@ -321,8 +321,7 @@
 
 
 def test_entry_point():
-    distribution = pkg_resources.get_distribution("python-lsp-black")
-    entry_point = distribution.get_entry_info("pylsp", "black")
+    (entry_point,) = entry_points(group="pylsp", name="black")
 
     assert entry_point is not None
 
